Package com.databricks.jdbc.common

## Class DatabricksClientConfiguratorManager

- java.lang.Object
- - com.databricks.jdbc.common.DatabricksClientConfiguratorManager

    public class DatabricksClientConfiguratorManager
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClientConfigurator` `getConfigurator​(IDatabricksConnectionContext context)`
`ClientConfigurator` `getConfiguratorOnlyIfExists​(IDatabricksConnectionContext context)` Returns the client configurator if it exists, otherwise returns null.
`static DatabricksClientConfiguratorManager` `getInstance()`
`void` `removeInstance​(IDatabricksConnectionContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getConfigurator

    public ClientConfigurator getConfigurator​(IDatabricksConnectionContext context)

#### getConfiguratorOnlyIfExists

    public ClientConfigurator getConfiguratorOnlyIfExists​(IDatabricksConnectionContext context)

Returns the client configurator if it exists, otherwise returns null. This is is indetended to be used only for telemetry clients to avoid infinite recursion.

Parameters:
  `context` - the connection context
Returns:
  the client configurator if it exists, otherwise null

#### getInstance

    public static DatabricksClientConfiguratorManager getInstance()

#### removeInstance

    public void removeInstance​(IDatabricksConnectionContext context)